# List users

This endpoint lists all users. To find a user id by email, you can filter using the email query parameter.

Endpoint: GET /v2/users
Version: 1.0
Security: OAuth2

## Query parameters:

  - `cursor` (string,null)

  - `limit` (integer,null)

  - `email` (string,null)
    Currently only support filtering by a single email or a single remote_display_id.

  - `remote_display_id` (string,null)
    Currently only support filtering by a single email or a single remote_display_id.

  - `expand[]` (array,null)
    Expandable fields that can be included in the response by passing in a query parameter e.g. ?expand[]=limit

## Response 200 fields (application/json):

  - `next_cursor` (string,null)

  - `items` (array, required)

  - `items.id` (string, required)

  - `items.first_name` (string, required)
    First name of the user

  - `items.last_name` (string, required)
    Last name of the user

  - `items.email` (string, required)
    Email address of the user

  - `items.status` (string,null)
    Status of the user
    Enum: "INVITED", "ACTIVE", "CLOSED", "DISABLED", "DELETED", "PENDING_ACTIVATION", "INACTIVE", "ARCHIVED"

  - `items.manager_id` (string,null)
    The user id of the manager of this user

  - `items.department_id` (string,null)

  - `items.location_id` (string,null)

  - `items.title_id` (string,null)

  - `items.metadata` (object,null)
    The metadata or customized attributes of the user. Maximum number of entries: 100

  - `items.remote_display_id` (string,null)
    Identifier that is displayed on the IDP or HR system, eg, if OKTA identifies you as user xyz


